---
updatedAt: 2026-03-25T11:16:41.000Z
---

# /Get access token

## #/Get access token

***

[block:html]
{
  "html": "<html>\n  <head>\n  </head>\n  <body>\n    <!-- Adding link to the button on the onclick event -->\n    <button class=\"Button_ref\" onclick=\"window.location.href = 'https://developers.tbcbank.ge/reference/checkout-get-access-token-api';\">\n      <> Check API Reference here\n    </button>\n  </body>\n</html>"
}
[/block]

# Request Endpoint

[block:code]
{
  "codes": [
    {
      "code": "https://api.tbcbank.ge/v1/tpay/access-token",
      "language": "http",
      "name": "production endpoint"
    }
  ]
}
[/block]

# Authorization

[block:parameters]
{
  "data": {
    "h-0": "Authorization Type",
    "0-0": "None",
    "h-2": "Details",
    "h-1": "Description"
  },
  "cols": 2,
  "rows": 1
}
[/block]

# Request Parameters

### Header Parameters

[block:parameters]
{
  "data": {
    "h-0": "Parameter",
    "h-1": "Type",
    "h-2": "Description",
    "0-2": "developer app API key",
    "0-0": "apikey",
    "0-1": "string"
  },
  "cols": 3,
  "rows": 1
}
[/block]

### Body Parameters

TBC E-Commerce merchant parameters *client\_id* and *client\_secret* should be passed in Body as
x-www-form-urlencoded parameters

details on how to get parameters, can be found <a href="/docs/checkout-merchant-dashboard-and-credentials" target="_blank">here</a>.

[block:parameters]
{
  "data": {
    "h-0": "Parameter",
    "h-1": "Type",
    "h-2": "Description",
    "0-0": "client_id",
    "0-2": "TBC E-Commerce client_id (merchant id)",
    "1-0": "client_secret",
    "1-2": "TBC E-Commerce client_secret",
    "0-1": "string",
    "1-1": "string"
  },
  "cols": 3,
  "rows": 2
}
[/block]

# Request Sample

[block:code]
{
  "codes": [
    {
      "code": "curl --location --request POST \"https://api.tbcbank.ge/v1/tpay/access-token\" \\\n    --header \"Content-Type: application/x-www-form-urlencoded\" \\\n    --header \"apikey: lXcDL8JJiAN8Vjlu6NW3kNeceOQolwnF\" \\\n    --data \"client_Id=712302&client_secret=76b9de\"",
      "language": "curl"
    }
  ]
}
[/block]

# Response Parameters

[block:parameters]
{
  "data": {
    "h-0": "Parameter",
    "h-1": "Type",
    "h-2": "Description",
    "0-0": "access_token",
    "1-0": "token_type",
    "2-0": "expires_in",
    "0-2": "The access token value",
    "1-2": "Type of the token is set to \"Bearer\"",
    "2-2": "The lifetime in seconds of the access token",
    "0-1": "string",
    "1-1": "string",
    "2-1": "integer"
  },
  "cols": 3,
  "rows": 3
}
[/block]

# Response Sample

[block:code]
{
  "codes": [
    {
      "code": "{\n    \"access_token\": \"eyJhbGciOiJKSeriiIsImtpZCI6IjVFMjBGMzQ2RUY1RjU2ODkxQTIyRkUzQUVCRjAzMzlGMzVDNjk1QjYiLCJ0eXAiOiJKV1QiLCJ4NXQiOiJYaUR6UnU5ZlZva2FJdjQ2Nl9Bem56WEdsYlkifQ.eyJuYmYiOjE2MzE2NDQyNjEsImV4cCI6MTYzMTczMDY2MSwiaXNzIjoiaHR0cHM6Ly9hY2NvdW50c2FwaS50YmNiYW5rLmdlLyIsImF1ZCI6WyJodHRwczovL2FjY291bnRzYXBpLnRiY2JhbmsuZ2UvcmVzb3VyY2VzIiwicGF5bWVudGFwaSJdLCJjbGllbnRfaWQiOiI3MDAwMDAyIiwic2NvcGUiOlsicGF5bWVudGFwaSJdfQ.GNIaxgik-ElXrvXOky5_1D1YjEEX5CB3eQHKPwvdCNhB-HvblqZ78QSNJcl6qLfL8gRTd0x9ASCgXu2z2RQYJ-wls0V2IwrQ7p4WEU-ON9QnasOjZWgPeVAtZQC_zjH9DdmL1GiDTIHLErhKDGl3YtSGcvPKSvTpABWda6HvF7lNGlEK0SZxzzt1i1SkpAnQfzIO1ATEmKdM1EmWzp5ZaDk0cF-Wzfk_2CrQAGofc80GT64U8WOXvVOx1gVYmjzqYs71XCOqfQdySYBIc-tbUC6YIoeSPZfu1hpi33Gz40ig57t4jxeE7Jh--38ydO4AGEw8BdlLv534O0V3ZoOddg\",\n    \"expires_in\": 86400,\n    \"token_type\": \"Bearer\"\n}",
      "language": "json",
      "name": "200 OK"
    },
    {
      "code": "{\n    \"type\": \"https://developers.tbcbank.ge/error-reference#type-400\",\n    \"title\": \"\",\n    \"status\": \"400\",\n    \"detail\": \"\",\n    \"systemCode\": \"System code for problem is tpay-access-token.400.001\",\n    \"code\": \"\"\n}",
      "language": "json",
      "name": "400 Bad Request"
    }
  ]
}
[/block]

**Note** 400 Bad Request is often times returned when merchant parameters client\_id / client\_secret are incorrect. Please, double check if you receive error 400.

# Error Response

In case of error, standard response in problem json will be returned.

> Details can be found at <a href="/docs/error-code-description" target="_blank">Error Code Description</a>.

# Recipe

[block:tutorial-tile]
{
  "title": "TBC E-Commerce Get access token",
  "emoji": "👉",
  "backgroundColor": "#018FF4",
  "slug": "tbc-e-commerce-get-access-token",
  "_id": "61bc787abd4ac7007f4e2daa",
  "id": "61bc787abd4ac7007f4e2daa",
  "link": "https://developers.tbcbank.ge/v1.0/recipes/tbc-e-commerce-get-access-token",
  "align": "default"
}
[/block]